# Uses of Interface
org.talend.transform.runtime.api.Section

## Uses of Section in org.talend.transform.runtime.api

Subinterfaces of Section in org.talend.transform.runtime.api
Modifier and Type
Interface
Description
`interface`
`MajorSection`
A section that contains other sections, this is used in EDI for the envelop segments.
Methods in org.talend.transform.runtime.api that return Section
Modifier and Type
Method
Description
`Section`
Section.`getEnclosingSection()`
Return the section that encloses this.
`Section`
ExecutionStatus.`getSection()`
Returns the top-level section.
Methods in org.talend.transform.runtime.api that return types with arguments of type Section
Modifier and Type
Method
Description
`List<Section>`
MajorSection.`getSections()`
Enclosed sections